Summary:	liveMedia Multimedia Streaming, e.g. (RTP/RTCP and RTSP)
Name:		liveMedia-devel
Version:	2008.07.25
Release:	1
License:	GPL
Group:		Development
Source0:	http://www.live555.com/liveMedia/public/live.%{version}.tar.gz
Patch0:		%{name}.diff
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	live livemedia livemedia-devel liveMedia live-devel

%description
This code forms a set of C++ libraries for multimedia streaming, using 
open standard protocols (RTP/RTCP and RTSP). These libraries - which 
can be compiled for Unix (including Linux and Mac OS X), Windows, and 
QNX (and other POSIX-compliant systems) - can be used tobuild streaming 
applications. The libraries are already being used toimplement 
applications such as "liveCaster" and "playRTPMPEG" (for streaming MP3 
audio using RTP/RTCP). 
The libraries can also be used to stream, receive, and process MPEG or
H.263+ video, and several audio codecs. They can easily be extended to
support additional (audio and/or video) codecs, and can also be used to
build basic RTSP clients and servers, and have been used to add 
streaming support to existing media player applications, such as 
"MPlayer".

%prep
%setup -q -n live
%patch0 -p1

%build
genMakefiles linux
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/lib
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include
cp BasicUsageEnvironment/*.a $RPM_BUILD_ROOT/usr/local/lib
cp UsageEnvironment/*.a $RPM_BUILD_ROOT/usr/local/lib
cp groupsock/*.a $RPM_BUILD_ROOT/usr/local/lib
cp liveMedia/*.a $RPM_BUILD_ROOT/usr/local/lib
cp BasicUsageEnvironment/include/*.h* $RPM_BUILD_ROOT/usr/include
cp UsageEnvironment/include/*.h* $RPM_BUILD_ROOT/usr/include
cp groupsock/include/*.h* $RPM_BUILD_ROOT/usr/include
cp liveMedia/include/*.h* $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/local/lib/BasicUsageEnvironment
mkdir -p $RPM_BUILD_ROOT/usr/local/lib/UsageEnvironment
mkdir -p $RPM_BUILD_ROOT/usr/local/lib/groupsock
mkdir -p $RPM_BUILD_ROOT/usr/local/lib/liveMedia
cd $RPM_BUILD_ROOT/usr/local/lib/BasicUsageEnvironment; ln -sf ../libBasicUsageEnvironment*.a .
cd $RPM_BUILD_ROOT/usr/local/lib/UsageEnvironment; ln -sf ../libUsageEnvironment*.a .
cd $RPM_BUILD_ROOT/usr/local/lib/groupsock; ln -sf ../libgroupsock*.a .
cd $RPM_BUILD_ROOT/usr/local/lib/liveMedia; ln -sf ../libliveMedia*.a .
cd $RPM_BUILD_ROOT/usr/lib; ln -sf ../local/lib/* .
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/include; cd $RPM_BUILD_ROOT/usr/X11R6/include;
ln -sf ../../local/lib/* .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
